Description

Search within series B2455 for a record item using multiple fields

Details

A user conducts an advanced multiple field search for a RecordItem record.

Example

A user enters 'Webster' for Family Name and enters 'Tamworth' for Title for the search fields.

Pre-requisites / Restrictions

Up to 2000 record item records matching the request will be returned. List of search results displayed on each page is limited to 100.

Request Information

Parameters

NameDescriptionAdditional information
search_post
RecordItemSearchPost object

Define this parameter in the request body.

app_id
Application ID

Define this parameter in the request URI.

app_key
Application Key

Define this parameter in the request URI.

Request body - RecordItemSearchPost

application/json, text/json

Sample:
{
  "page": 1,
  "rows": 2,
  "query_fields": {
    "keyword": "sample string 1",
    "barcode": "sample string 2",
    "title": "sample string 3"
  }
}

Response Information

Response body - RecordItemSearchResponse

application/json, text/json

Sample:
{
  "ResultSet": [
    {
      "record_item_id": 1,
      "barcode": "sample string 2",
      "title": "sample string 3"
    },
    {
      "record_item_id": 1,
      "barcode": "sample string 2",
      "title": "sample string 3"
    },
    {
      "record_item_id": 1,
      "barcode": "sample string 2",
      "title": "sample string 3"
    }
  ],
  "result_count": 1
}

Response Status Codes

CodeNameAdditional information
201
Created

Data was successfully created or stored

400
BadRequest

Request information is not valid

401
Unauthorized

Authorisation has failed

404
NotFound

Related or dependant data was not found

413
RequestEntityTooLarge

Content greater than 5MB

500
InternalServerError

An error has occurred on the server